Collection: Laboratory Equipment
Benchtop and floor-standing equipment for the working lab — ovens, furnaces, freezers, centrifuges, autoclaves, rotary evaporators and microscopes, through authorized channels with the factory warranty intact.
Start With a Common Setup
A cross-section of the equipment floor. The full catalogue, with filters, is below.
Fixed Speed Centrifuge, 6-Place$377.99McKesson · 3,400 rpm
E8 Centrifuge, 8-Place$482.90LW Scientific · Made in USA
BM302A Digital Water Bath, 5 L$845.00Yamato Scientific · benchtop
SK102C Compact Sterilizer, 18 L$2,710.00Yamato Scientific · benchtop autoclave
DVS403C Convection Oven, 99 L$3,130.00Yamato Scientific · programmable
Pharmaceutical Freeze Dryer, 7-Tray$3,695.00Harvest Right
Browse the Equipment Floor
Every equipment category, grouped the way a lab actually buys.
Ovens, Furnaces & Heating
Freezers & Cold Storage
Sterilization & Glassware Washing
Centrifuges, Mixing & Shaking
Evaporation & Drying
Air, Containment & Desiccation
Incubation & Cell Biology
Microscopy
Water Purification
Buying Equipment Here
Open only what you need.
Brands we build the equipment floor around Yamato · LW · Globe · McKesson
Yamato Scientific
Japanese-built capital equipment with a long service life — ovens, furnaces, freezers, autoclaves, water and oil baths, rotary evaporators and glassware washers.
LW Scientific
Centrifuges, incubators, dry baths and slide warmers built in Lawrenceville, Georgia — straightforward controls, domestic parts and service, sized for the bench.
Globe Scientific
Everyday benchtop instruments — digital hotplates and stirrers, PCR cooling blocks and classroom microscopes — stocked deep for fast reorder.
McKesson
Clinic-bench lab equipment alongside the consumables those benches run on — centrifuges, incubators, microscopes and lab refrigeration.
Have us spec it for you capacity, temperature range, voltage and footprint
Tell us the capacity, temperature range, voltage and how much bench or floor space you have. We match the exact model, usually within one business day.
Are these genuine units with full manufacturer warranty?
How does large equipment ship?
Do you carry 230V or three-phase configurations?
Can you help me choose between similar models?
Do you sell replacement parts and accessories?
What if the unit arrives damaged or isn't right for my application?
-
Yamato GL860 Multi-Channel Data Logger, 20–200 Channels (7-inch Display)
Vendor:Yamato ScientificRegular price $3,800.00Regular priceUnit price / perSale price $3,800.00 -
Yamato GL260 10-Channel Data Logger (4.3-inch Color Display)
Vendor:Yamato ScientificRegular price $1,650.00Regular priceUnit price / perSale price $1,650.00 -
Yamato CA301 Refrigerated Cold Trap, 4L (−45°C)
Vendor:Yamato ScientificRegular price $5,870.00Regular priceUnit price / perSale price $5,870.00 -
Yamato CF802A Cooling Water Circulator 16L
Vendor:Yamato ScientificRegular price $3,000.00Regular priceUnit price / perSale price $3,000.00 -
Yamato CF303Y Cooling Water Circulator 3.9L
Vendor:Yamato ScientificRegular price $2,575.00Regular priceUnit price / perSale price $2,575.00 -
Yamato CB100 Benchtop Water Circulator 3.4L
Vendor:Yamato ScientificRegular price $3,730.00Regular priceUnit price / perSale price $3,730.00 -
Yamato DVS603C Natural Convection Oven Programmable 162L
Vendor:Yamato ScientificRegular price $3,935.00Regular priceUnit price / perSale price $3,935.00 -
Yamato DVS403C Natural Convection Oven Programmable 99L
Vendor:Yamato ScientificRegular price $3,130.00Regular priceUnit price / perSale price $3,130.00 -
Yamato RFC2001 Lab Freezer / Refrigerator Combi 4°C(R), -20°C(F), Auto Defrost,, 46.6 cu.ft. (R) 23.1 cu.ft. (F)
Vendor:Yamato ScientificRegular price $31,260.00Regular priceUnit price / perSale price $31,260.00 -
Yamato RFC1301 Lab Freezer / Refrigerator Combi 4°C(R), -20°C(F), Auto Defrost,, 23.1 cu.ft. (R) 23.1 cu.ft. (F)
Vendor:Yamato ScientificRegular price $27,315.00Regular priceUnit price / perSale price $27,315.00 -
Yamato RFC501 Lab Freezer / Refrigerator Combi 4°C(R), -20°C(F), Auto Defrost,, 9.1 cu.ft. (R) 9.1 cu.ft. (F)
Vendor:Yamato ScientificRegular price $21,670.00Regular priceUnit price / perSale price $21,670.00 -
Yamato CMPBR10 Real-Time Automated Live Cell Imaging System, Bright Field + Red Fluorescence, 10X
Vendor:Yamato ScientificRegular price $48,800.00Regular priceUnit price / perSale price $48,800.00 -
Yamato CMPBR4 Real-Time Automated Live Cell Imaging System, Bright Field + Red Fluorescence, 4X
Vendor:Yamato ScientificRegular price $47,800.00Regular priceUnit price / perSale price $47,800.00 -
Yamato CMPBG10 Real-Time Automated Live Cell Imaging System, Bright Field + Green Fluorescence, 10X
Vendor:Yamato ScientificRegular price $48,800.00Regular priceUnit price / perSale price $48,800.00 -
Yamato CMPBG4 Real-Time Automated Live Cell Imaging System, Bright Field + Green Fluorescence, 4X
Vendor:Yamato ScientificRegular price $47,800.00Regular priceUnit price / perSale price $47,800.00 -
Yamato CMPB10 Real-Time Automated Live Cell Imaging System, Bright Field, 10X
Vendor:Yamato ScientificRegular price $36,800.00Regular priceUnit price / perSale price $36,800.00 -
Yamato CMPB4 Real-Time Automated Live Cell Imaging System, Bright Field, 4X
Vendor:Yamato ScientificRegular price $35,800.00Regular priceUnit price / perSale price $35,800.00 -
Yamato CMPB2 Real-Time Automated Live Cell Imaging System, Bright Field, 2X
Vendor:Yamato ScientificRegular price $34,800.00Regular priceUnit price / perSale price $34,800.00 -
Yamato AWD510DRY Laboratory Glassware Washer (Process Monitorable) Optional Pre-Drying
Vendor:Yamato ScientificRegular price $29,090.00Regular priceUnit price / perSale price $29,090.00 -
Yamato AWD510 Laboratory Glassware Washer (Process Monitorable)
Vendor:Yamato ScientificRegular price $26,810.00Regular priceUnit price / perSale price $26,810.00 -
Yamato AW47 Semi-Automatic Benchtop Laboratory Glassware Washer
Vendor:Yamato ScientificRegular price $10,705.00Regular priceUnit price / perSale price $10,705.00 -
Yamato SG860 60" Four Glove Compact Glove Boxes
Vendor:Yamato ScientificRegular price $17,130.00Regular priceUnit price / perSale price $17,130.00 -
Yamato SG848 48" Three Glove Compact Glove Boxes
Vendor:Yamato ScientificRegular price $15,895.00Regular priceUnit price / perSale price $15,895.00 -
Yamato SG835 35" Two Glove Compact Glove Boxes
Vendor:Yamato ScientificRegular price $15,170.00Regular priceUnit price / perSale price $15,170.00